انجمن سون هاست

آموزش کامل فعالسازی اکستنشن های php در سی پنل

سلام
اکستنشن php چیه؟
چجوری اکستنشن ioncuble و zend_guard_loader و sourceguardian رو روی هاستم فعال کنم لطفا راهنمایی کنید

درود

extension / اکستنشن / ماژول / مود / های php قابلیت هایی هستند که با آنها میتوانید فایل ها و یا کدگذاری های خاصی را در هاست خود اجرا کنید.

دو مثال ساده
(تصور کنید اکستنشن ها نرم افزارهای کامپیوتری هستند و هاست، کامپیوتر است)

1- ما میخواهیم یک فایل فشرده با پسوند rar را استخراج کنیم (از حالت فشرده خارج کنیم) ما برای استخراج فایل با فرمت rar باید نرم افزار rar را بر روی کامپیوتر خود نصب کنیم تا بتوانیم فایل خود را از حالت فشرده خارج کنیم

2- ما یک فایل pdf داریم میخواهیم این فایل را در کامپیوتر خود اجرا کنیم و محتوای داخلش را مشاهده نماییم، برای این کار باید نرم افزار pdf را در کامپیوتر خود نصب کنیم تا بتوانیم فایل مان را در کامپیوتر اجرا کنیم

در سون هاست انواع اکستنشن ها بر روی سرور نصب شده اند اما بطور پیشفرض غیرفعال هستند، به این نکته نیز باید توجه داشته باشید که هر نسخه از php دارای اکستنشن های خاصی است و امکان دارد در یک نسخه از php اکستنشن موردنظر شما وجود نداشته باشد در این صورت باید نسخه ی php خود را تغییر دهید و بررسی کنید که اکستنشن موردنظر در کدام نسخه ی php قابل فعالسازی است

بطور کلی برای فعالسازی اکستنشن ابتدا وارد سی پنل هاست خود شوید

1- از قسمت Software روی Select PHP Version کلیک کنید

2- در این صفحه میتوانید نسخه php موردنظر خود را انتخاب نمایید و روی Set as Current کلیک کنید و منتظر بمانید تا نسخه php تغییر کند، مشاهده میکنید که با تغییر نسخه php اکستنشن های متفاوتی نیز در صفحه ظاهر می شوند که برای فعالسازی اکستنشن موردنظر فقط کافیست تیک اکستنشن را بزنید و در آخر روی Save کلیک کنید

به همین راحتی میتوانید اکستنشن های موردنظر هاست خود را فعال کنید

برای فعالسازی و استفاده از اکستنشن های ioncuble و zend_guard_loader و sourceguardian میتوانید از نسخه ی 5.3 php استفاده نمایید

و نکته آخر اگر اکستنشن هایی را در هاست خود فعال کردید و روزی قصد غیرفعال کردن آنها را داشتید اما فراموش کرده بودید که چه اکستنشن هایی را فعال کردید فقط کافیست روی دکمه ی Use Defaults کلیک کنید تمام تنظیمات به حالت اولیه بازمیگردند

موفق باشید

4 Likes

سلام
من موقع نصب بسته آسان نصب قالب وردپرس گفت نسخه 7.1 لازمه رفتم از whm نسخه 7.1 رو نصب کردم از سی پنل نسخه php دامنه رو تغییر دادم ولی الان یک ارور جدید میاد:
PHP Mysqli

Support for the PHP [mysqli extension](http://us2.php.net/manual/en/mysqli.installation.php) is required.
Please contact your hosting provider or server administrator to enable the mysqli extension.  *The detection for this call uses the function_exists('mysqli_connect') call.*

از قسمت Software اصلا Select PHP Version رو پیدا نمی کنم که mysqli فعال کنم. باید چکار کنم؟

از EasyApache 4 میام جایی که 7.1 رو نصب کردم یک بخش extension php داره ولی داخلش mysqli رو پیدا نمی کنم (تعداد نمایش رو روی همه می زارم)

درست شد از EasyApache رفتم اسمش mysqli نبود برای همین پیداش نمی کردم